{-# LANGUAGE UnicodeSyntax         #-}
{-# LANGUAGE RebindableSyntax      #-}

-- | Exports haskell built-in typeclasses
module Data.TypeClass
  ( Eq(..)
  , Ord(..)
  , Enum(..)
  , Bounded(..)
  , Num(..), (×)
  , Integral(..)
  , Show(..)
  , Read(..)
  , IsList(..)
  , IsString(..)
  ) where

import GHC.Enum
import GHC.Show
import GHC.Read
import GHC.Num
import GHC.Exts
import Prelude (Eq(..), Ord(..), Integral(..))

-- * Aliases

-- | Multiplication
(×) ∷ Num a ⇒ a → a → a
(×) = (*)
